Recuperar metadatos para un activo alojado específico Obsoleto

OBTENER /groups/{groupId}/apps/{appId}/hosting/assets/asset

Parámetros de path

Parámetros de query

  • ruta string Requerido

    La ruta de recursos de un activo alojado.

  • prefix string

    Return only those assets where the resource path begins with the specified prefix.

Respuestas

  • 200 aplicación/json

    Successfully retrieved metadata for the hosted file.

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto
    • appId string

      The unique App ID of the Atlas App Services App that is hosting the file.

    • last_modified entero

      The time at which the hosted asset was last modified in Unix time (number of seconds since January 1, 1970 at 00:00 UTC).

    • URL string

      La URL completa del activo alojado.

    • ruta string

      The resource path of the hosted asset

    • tamaño entero

      The size of the hosted asset in bytes

    • attrs arreglo[objeto]

      An array of documents that each describe a metadata attribute that applies to the asset.

      Ocultar atributos attrs Show attrs attributes Objeto
    • hash string

      El hash de suma de comprobación MD5 para el activo alojado

  • 404 aplicación/json

    Asset not found.

    Ocultar atributo de respuesta Mostrar atributo de respuesta Objeto
    • Error string
GET /groups/{groupId}/apps/{appId}/hosting/assets/asset
curl \
 --request GET 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/hosting/assets/asset?path=string' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Ejemplos de respuestas (200)
{
  "appId": "string",
  "last_modified": 42,
  "url": "string",
  "path": "string",
  "size": 42,
  "attrs": [
    {
      "name": "string",
      "value": "string"
    }
  ],
  "hash": "string"
}
Ejemplos de respuestas (404)
{
  "error": "string"
}